cascading.flow.planner.process

## Interface FlowNodeFactory

- All Known Implementing Classes:
    BaseFlowNodeFactory

      public interface FlowNodeFactory

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FlowNode` | `createFlowNode(FlowElementGraph flowElementGraph, ElementGraph nodeSubGraph, List<? extends ElementGraph> pipelineGraphs)`
    `String` | `makeFlowNodeName(FlowNode flowNode, int size, int ordinal)`

- - ### Method Detail

    - #### createFlowNode

          FlowNode createFlowNode(FlowElementGraph flowElementGraph,
                                ElementGraph nodeSubGraph,
                                List<? extends ElementGraph> pipelineGraphs)

    - #### makeFlowNodeName

          String makeFlowNodeName(FlowNode flowNode,
                                int size,
                                int ordinal)

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.